CVE-2022-29866

Uncontrolled Resource Consumption in OPCFoundation.NetStandard.Opc.Ua in nuget/OPCFoundation.NetStandard.Opc.Ua

Identifiers

GHSA-6fp8-cxc9-4fr9, CVE-2022-29866

Package Slug

nuget/OPCFoundation.NetStandard.Opc.Ua

Vulnerability

Uncontrolled Resource Consumption in OPCFoundation.NetStandard.Opc.Ua

Description

OPC UA .NET Standard Stack 1.04.368 allows a remote attacker to exhaust the memory resources of a server via a crafted request that triggers Uncontrolled Resource Consumption.

Affected Versions

All versions up to 1.4.368.53

Solution

Upgrade to version 1.4.368.58 or above.

Last Modified

2022-06-19

source